## monitoring-plugins-2.4.0-1.src.tar.gz

=== perlmods/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# perlmods/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/monitoring-plugins
pkgincludedir = $(includedir)/monitoring-plugins
pkglibdir = $(libdir)/monitoring-plugins
pkglibexecdir = $(libexecdir)/monitoring-plugins
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = perlmods
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libcurl.m4 \
	$(top_srcdir)/m4/np_mysqlclient.m4 \
	$(top_srcdir)/m4/uriparser.m4 $(top_srcdir)/gl/m4/00gnulib.m4 \
	$(top_srcdir)/gl/m4/__inline.m4 \
	$(top_srcdir)/gl/m4/absolute-header.m4 \
	$(top_srcdir)/gl/m4/af_alg.m4 $(top_srcdir)/gl/m4/alloca.m4 \
	$(top_srcdir)/gl/m4/arpa_inet_h.m4 \
	$(top_srcdir)/gl/m4/assert_h.m4 $(top_srcdir)/gl/m4/base64.m4 \
	$(top_srcdir)/gl/m4/btowc.m4 \
	$(top_srcdir)/gl/m4/builtin-expect.m4 \
	$(top_srcdir)/gl/m4/byteswap.m4 $(top_srcdir)/gl/m4/c-bool.m4 \
	$(top_srcdir)/gl/m4/calloc.m4 $(top_srcdir)/gl/m4/close.m4 \
	$(top_srcdir)/gl/m4/codeset.m4 \
	$(top_srcdir)/gl/m4/double-slash-root.m4 \
	$(top_srcdir)/gl/m4/dup2.m4 $(top_srcdir)/gl/m4/eealloc.m4 \
	$(top_srcdir)/gl/m4/environ.m4 $(top_srcdir)/gl/m4/errno_h.m4 \
	$(top_srcdir)/gl/m4/error.m4 $(top_srcdir)/gl/m4/exponentd.m4 \
	$(top_srcdir)/gl/m4/extensions.m4 \
	$(top_srcdir)/gl/m4/extern-inline.m4 \
	$(top_srcdir)/gl/m4/fcntl-o.m4 $(top_srcdir)/gl/m4/fcntl.m4 \
	$(top_srcdir)/gl/m4/fcntl_h.m4 $(top_srcdir)/gl/m4/fflush.m4 \
	$(top_srcdir)/gl/m4/float_h.m4 $(top_srcdir)/gl/m4/floorf.m4 \
	$(top_srcdir)/gl/m4/fopen.m4 $(top_srcdir)/gl/m4/fpurge.m4 \
	$(top_srcdir)/gl/m4/freading.m4 $(top_srcdir)/gl/m4/free.m4 \
	$(top_srcdir)/gl/m4/fseek.m4 $(top_srcdir)/gl/m4/fseeko.m4 \
	$(top_srcdir)/gl/m4/fstat.m4 $(top_srcdir)/gl/m4/fstypename.m4 \
	$(top_srcdir)/gl/m4/fsusage.m4 $(top_srcdir)/gl/m4/ftell.m4 \
	$(top_srcdir)/gl/m4/ftello.m4 \
	$(top_srcdir)/gl/m4/getaddrinfo.m4 \
	$(top_srcdir)/gl/m4/getdelim.m4 \
	$(top_srcdir)/gl/m4/getdtablesize.m4 \
	$(top_srcdir)/gl/m4/gethostname.m4 \
	$(top_srcdir)/gl/m4/getline.m4 \
	$(top_srcdir)/gl/m4/getloadavg.m4 \
	$(top_srcdir)/gl/m4/getopt.m4 \
	$(top_srcdir)/gl/m4/getprogname.m4 \
	$(top_srcdir)/gl/m4/gl-openssl.m4 \
	$(top_srcdir)/gl/m4/gnulib-common.m4 \
	$(top_srcdir)/gl/m4/gnulib-comp.m4 \
	$(top_srcdir)/gl/m4/hostent.m4 $(top_srcdir)/gl/m4/idpriv.m4 \
	$(top_srcdir)/gl/m4/include_next.m4 \
	$(top_srcdir)/gl/m4/inet_ntop.m4 \
	$(top_srcdir)/gl/m4/intmax_t.m4 \
	$(top_srcdir)/gl/m4/inttypes.m4 \
	$(top_srcdir)/gl/m4/inttypes_h.m4 \
	$(top_srcdir)/gl/m4/langinfo_h.m4 \
	$(top_srcdir)/gl/m4/largefile.m4 \
	$(top_srcdir)/gl/m4/libtool.m4 $(top_srcdir)/gl/m4/limits-h.m4 \
	$(top_srcdir)/gl/m4/localcharset.m4 \
	$(top_srcdir)/gl/m4/locale-fr.m4 \
	$(top_srcdir)/gl/m4/locale-ja.m4 \
	$(top_srcdir)/gl/m4/locale-zh.m4 \
	$(top_srcdir)/gl/m4/locale_h.m4 \
	$(top_srcdir)/gl/m4/localeconv.m4 $(top_srcdir)/gl/m4/lock.m4 \
	$(top_srcdir)/gl/m4/lseek.m4 $(top_srcdir)/gl/m4/ltoptions.m4 \
	$(top_srcdir)/gl/m4/ltsugar.m4 \
	$(top_srcdir)/gl/m4/ltversion.m4 \
	$(top_srcdir)/gl/m4/lt~obsolete.m4 \
	$(top_srcdir)/gl/m4/malloc.m4 $(top_srcdir)/gl/m4/malloca.m4 \
	$(top_srcdir)/gl/m4/math_h.m4 $(top_srcdir)/gl/m4/mbrtowc.m4 \
	$(top_srcdir)/gl/m4/mbsinit.m4 \
	$(top_srcdir)/gl/m4/mbstate_t.m4 $(top_srcdir)/gl/m4/mbtowc.m4 \
	$(top_srcdir)/gl/m4/memchr.m4 $(top_srcdir)/gl/m4/minmax.m4 \
	$(top_srcdir)/gl/m4/mktime.m4 $(top_srcdir)/gl/m4/mmap-anon.m4 \
	$(top_srcdir)/gl/m4/mode_t.m4 $(top_srcdir)/gl/m4/mountlist.m4 \
	$(top_srcdir)/gl/m4/msvc-inval.m4 \
	$(top_srcdir)/gl/m4/msvc-nothrow.m4 \
	$(top_srcdir)/gl/m4/multiarch.m4 \
	$(top_srcdir)/gl/m4/netdb_h.m4 \
	$(top_srcdir)/gl/m4/netinet_in_h.m4 \
	$(top_srcdir)/gl/m4/nl_langinfo.m4 \
	$(top_srcdir)/gl/m4/nocrash.m4 $(top_srcdir)/gl/m4/off_t.m4 \
	$(top_srcdir)/gl/m4/open-cloexec.m4 \
	$(top_srcdir)/gl/m4/open-slash.m4 $(top_srcdir)/gl/m4/open.m4 \
	$(top_srcdir)/gl/m4/pathmax.m4 $(top_srcdir)/gl/m4/printf.m4 \
	$(top_srcdir)/gl/m4/pthread_rwlock_rdlock.m4 \
	$(top_srcdir)/gl/m4/realloc.m4 \
	$(top_srcdir)/gl/m4/reallocarray.m4 \
	$(top_srcdir)/gl/m4/regex.m4 $(top_srcdir)/gl/m4/servent.m4 \
	$(top_srcdir)/gl/m4/setenv.m4 \
	$(top_srcdir)/gl/m4/setlocale_null.m4 \
	$(top_srcdir)/gl/m4/sha256.m4 $(top_srcdir)/gl/m4/size_max.m4 \
	$(top_srcdir)/gl/m4/snprintf.m4 \
	$(top_srcdir)/gl/m4/socketlib.m4 \
	$(top_srcdir)/gl/m4/sockets.m4 $(top_srcdir)/gl/m4/socklen.m4 \
	$(top_srcdir)/gl/m4/sockpfaf.m4 $(top_srcdir)/gl/m4/ssize_t.m4 \
	$(top_srcdir)/gl/m4/stat-time.m4 $(top_srcdir)/gl/m4/stat.m4 \
	$(top_srcdir)/gl/m4/stdalign.m4 \
	$(top_srcdir)/gl/m4/stddef_h.m4 $(top_srcdir)/gl/m4/stdint.m4 \
	$(top_srcdir)/gl/m4/stdint_h.m4 $(top_srcdir)/gl/m4/stdio_h.m4 \
	$(top_srcdir)/gl/m4/stdlib_h.m4 $(top_srcdir)/gl/m4/strcase.m4 \
	$(top_srcdir)/gl/m4/strcasestr.m4 \
	$(top_srcdir)/gl/m4/strerror.m4 \
	$(top_srcdir)/gl/m4/string_h.m4 \
	$(top_srcdir)/gl/m4/strings_h.m4 $(top_srcdir)/gl/m4/strsep.m4 \
	$(top_srcdir)/gl/m4/strstr.m4 \
	$(top_srcdir)/gl/m4/sys_socket_h.m4 \
	$(top_srcdir)/gl/m4/sys_stat_h.m4 \
	$(top_srcdir)/gl/m4/sys_types_h.m4 \
	$(top_srcdir)/gl/m4/sys_uio_h.m4 \
	$(top_srcdir)/gl/m4/threadlib.m4 $(top_srcdir)/gl/m4/time_h.m4 \
	$(top_srcdir)/gl/m4/time_r.m4 $(top_srcdir)/gl/m4/timegm.m4 \
	$(top_srcdir)/gl/m4/ungetc.m4 $(top_srcdir)/gl/m4/unistd_h.m4 \
	$(top_srcdir)/gl/m4/unlocked-io.m4 \
	$(top_srcdir)/gl/m4/vasnprintf.m4 \
	$(top_srcdir)/gl/m4/vasprintf.m4 \
	$(top_srcdir)/gl/m4/visibility.m4 \
	$(top_srcdir)/gl/m4/vsnprintf.m4 \
	$(top_srcdir)/gl/m4/warn-on-use.m4 \
	$(top_srcdir)/gl/m4/wchar_h.m4 $(top_srcdir)/gl/m4/wchar_t.m4 \
	$(top_srcdir)/gl/m4/wcrtomb.m4 $(top_srcdir)/gl/m4/wctype_h.m4 \
	$(top_srcdir)/gl/m4/wint_t.m4 $(top_srcdir)/gl/m4/xalloc.m4 \
	$(top_srcdir)/gl/m4/xsize.m4 $(top_srcdir)/gl/m4/zzgnulib.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build-aux/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build-aux/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/tmp/plugins/build-aux/missing' aclocal-1.16
ALLOCA = 
ALLOCA_H = alloca.h
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
APPLE_UNIVERSAL_BUILD = 0
AR = ar
ARFLAGS = cr
ASSERT_H = 
AUTOCONF = ${SHELL} '/tmp/plugins/build-aux/missing' autoconf
AUTOHEADER = ${SHELL} '/tmp/plugins/build-aux/missing' autoheader
AUTOMAKE = ${SHELL} '/tmp/plugins/build-aux/missing' automake-1.16
AWK = mawk
BASENAME = /usr/bin/basename
BITSIZEOF_PTRDIFF_T = 
BITSIZEOF_SIG_ATOMIC_T = 
BITSIZEOF_SIZE_T = 
BITSIZEOF_WCHAR_T = 
BITSIZEOF_WINT_T = 
BYTESWAP_H = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CFLAG_VISIBILITY = 
CPP = gcc -E
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DBILIBS = -ldbi
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPLIBS = 
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EMULTIHOP_HIDDEN = 
EMULTIHOP_VALUE = 
ENOLINK_HIDDEN = 
ENOLINK_VALUE = 
EOVERFLOW_HIDDEN = 
EOVERFLOW_VALUE = 
ERRNO_H = 
ETAGS = etags
EXEEXT = 
EXTRAS =  check_pgsql$(EXEEXT) check_dbi$(EXEEXT) check_radius$(EXEEXT) check_ldap$(EXEEXT) check_ide_smart$(EXEEXT) check_mysql$(EXEEXT) check_mysql_query$(EXEEXT) check_curl$(EXEEXT) check_procs check_nagios$(EXEEXT) check_swap$(EXEEXT) check_apt$(EXEEXT) check_nt$(EXEEXT)
EXTRAS_ROOT = 
EXTRA_NETOBJS = 
EXTRA_TEST = 
FGREP = /usr/bin/grep -F
FLOAT_H = 
FLOORF_LIBM = -lm
GETADDRINFO_LIB = 
GETHOSTNAME_LIB = 
GETLOADAVG_LIBS = 
GETOPT_CDEFS_H = 
GETOPT_H = 
GETTEXT_MACRO_VERSION = 0.20
GL_CFLAG_ALLOW_WARNINGS = -Wno-error
GL_CFLAG_GNULIB_WARNINGS =  -Wno-cast-qual -Wno-conversion -Wno-float-equal -Wno-sign-compare -Wno-undef -Wno-unused-function -Wno-unused-parameter -Wno-float-conversion -Wimplicit-fallthrough -Wno-pedantic -Wno-sign-conversion -Wno-type-limits -Wno-unsuffixed-float-constants
GL_GNULIB_ACCEPT = 0
GL_GNULIB_ACCEPT4 = 0
GL_GNULIB_ACCESS = 0
GL_GNULIB_ACOSF = 0
GL_GNULIB_ACOSL = 0
GL_GNULIB_ALIGNED_ALLOC = 0
GL_GNULIB_ASINF = 0
GL_GNULIB_ASINL = 0
GL_GNULIB_ATAN2F = 0
GL_GNULIB_ATANF = 0
GL_GNULIB_ATANL = 0
GL_GNULIB_ATOLL = 0
GL_GNULIB_BIND = 0
GL_GNULIB_BTOWC = 1
GL_GNULIB_CALLOC_GNU = 1
GL_GNULIB_CALLOC_POSIX = 1
GL_GNULIB_CANONICALIZE_FILE_NAME = 0
GL_GNULIB_CBRT = 0
GL_GNULIB_CBRTF = 0
GL_GNULIB_CBRTL = 0
GL_GNULIB_CEIL = 0
GL_GNULIB_CEILF = 0
GL_GNULIB_CEILL = 0
GL_GNULIB_CHDIR = 0
GL_GNULIB_CHMOD = 0
GL_GNULIB_CHOWN = 0
GL_GNULIB_CLOSE = 1
GL_GNULIB_CONNECT = 0
GL_GNULIB_COPYSIGN = 0
GL_GNULIB_COPYSIGNF = 0
GL_GNULIB_COPYSIGNL = 0
GL_GNULIB_COPY_FILE_RANGE = 0
GL_GNULIB_COSF = 0
GL_GNULIB_COSHF = 0
GL_GNULIB_COSL = 0
GL_GNULIB_CREAT = 0

=== PKGBUILD ===
# Maintainer: Jonathan Steel <jsteel at archlinux.org>
# Contributor: Idares <idares at seznam dot cz>

pkgname=monitoring-plugins
pkgver=2.4.0
pkgrel=1
pkgdesc="Plugins for Icinga, Naemon, Nagios, Shinken, Sensu and other monitoring applications"
arch=('x86_64')
url="https://www.monitoring-plugins.org"
license=('GPL3')
depends=('perl')
makedepends=('net-snmp' 'postgresql-libs' 'libdbi' 'mariadb-libs'
  'procps-ng' 'iputils' 'fping' 'dnsutils' 'rpcbind' 'smbclient' 'openssh'
  'inetutils' 'postfix' 'perl-net-snmp' 'curl' 'uriparser')
optdepends=('net-snmp: for SNMP checking'
  'uriparser: for check_curl'
  'curl: for check_curl'
  'postgresql-libs: for check_pgsql'
  'mariadb-libs: for check_mysql_query and check_mysql'
  'libdbi: for check_dbi'
  'libldap: for check_ldap')
provides=('nagios-plugins')
conflicts=('nagios-plugins')
replaces=('nagios-plugins')
source=("https://www.monitoring-plugins.org/download/$pkgname-$pkgver.tar.gz")
sha256sums=('e5dfd4ad8fde0a40da50aab3aff6d9a27020b8f283e332bc4da6ef9914f4028c')

build() {
  cd $pkgname-$pkgver

  ./configure --prefix=/usr --libexecdir=/usr/lib/monitoring-plugins \
    --with-ping-command='/usr/bin/ping -4 -n -U -w %d -c %d %s' \
    --with-ping6-command='/usr/bin/ping -6 -n -U -w %d -c %d %s'

  make
}

package() {
  cd $pkgname-$pkgver

  make DESTDIR="$pkgdir" install

  install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING

  for i in ABOUT-NLS ACKNOWLEDGEMENTS AUTHORS CODING ChangeLog \
    FAQ NEWS README REQUIREMENTS SUPPORT THANKS; do
    install -Dm644 $i "$pkgdir"/usr/share/doc/$pkgname/$i
  done
}
